Bug 1468549 - (CVE-2017-10984) CVE-2017-10984 freeradius: Out-of-bounds write in data2vp_wimax()
CVE-2017-10984 freeradius: Out-of-bounds write in data2vp_wimax()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170717,repo...
: Security
Depends On: 1469415 1471861 1469414
Blocks: 1468570
  Show dependency treegraph
 
Reported: 2017-07-07 07:45 EDT by Adam Mariš
Modified: 2017-08-02 05:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeradius 3.0.15
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds write flaw was found in the way FreeRADIUS server handled certain attributes in request packets. A remote attacker could use this flaw to crash the FreeRADIUS server or to execute arbitrary code in the context of the FreeRADIUS server process by sending a specially crafted request packet.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 05:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch 1/2 (7.24 KB, patch)
2017-07-07 08:09 EDT, Adam Mariš
no flags Details | Diff
Proposed patch 2/2 (7.69 KB, patch)
2017-07-07 08:10 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-07-07 07:45:28 EDT
Out-of-bounds write in data2vp_wimax() when sending WiMAX attributes which have the "continuation" flag set, but for which there is no subsequent data was found.

The security impact is possible remote code exectuion by anyone who can send packets which are accepted by the server.

Affected versions: 3.0.0 through 3.0.14, inclusive.
Comment 1 Adam Mariš 2017-07-07 07:45:34 EDT
Acknowledgments:

Name: the FreeRADIUS project
Upstream: Guido Vranken
Comment 2 Adam Mariš 2017-07-07 08:09 EDT
Created attachment 1295272 [details]
Proposed patch 1/2
Comment 3 Adam Mariš 2017-07-07 08:10 EDT
Created attachment 1295273 [details]
Proposed patch 2/2
Comment 6 Dhiru Kholia 2017-07-17 10:36:55 EDT
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1471861]
Comment 7 errata-xmlrpc 2017-08-01 19:25:08 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2389 https://access.redhat.com/errata/RHSA-2017:2389
Comment 8 Dhiru Kholia 2017-08-02 05:43:52 EDT
External References:

http://freeradius.org/security/fuzzer-2017.html

Note You need to log in before you can comment on or make changes to this bug.